Get Order By ID
Authentication
AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.
Path parameters
connectionId
represents the ID of a connection. It is used as a unique identifier for the connection
orderId
the id of the order
Query parameters
expand
comma-separated list of fields to expand. Currently supports: refunds
Response
OK
channel
what channel did this come from
connectionId
represents the ID of a connection. It is used as a unique identifier for the connection
currency
represents information about a currency including its code and denomination.
customerId
customerId in external system
deliveredBySeller
represents if the seller directly delivered the order.
destination
the destination address of the order
excludeFromFiling
Whether to exclude from filing
exemption
information about exemption on the order
kind
The kind of order, either credit or order. Defaults to order if not provided.
Allowed values:
lineItems
orderId
orderId in external system
origin
the origin address of the order
transactionDate
The RFC3339 datetime string the order was purchased on
$schema
A URL to the JSON Schema for this object.
batchId
Batch ID for grouping orders
completedDate
The RFC3339 datetime string the order was shipped on, created a tax liability
refunds
refunds associated with this order when expand=refunds is specified
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error